Improve errors in MailHandler: add MissingContainer and LockedTopic exception

2023-02-13 15:37 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 5.1.0   

Resolution: Fixed   

Description

There are some cases for which the MailHandler drops incoming emails and just logs an info. This patch replaces this with a custom

error to allow for plugins to more easily hook into those unhandled cases. This also unifies the logged message and the error

handling in MailHandler.

Related issues:

Blocks Redmine - Feature #38274: Receive e-mail replies to news and news comm... Closed

Blocked by Redmine - Feature #38263: Try importing journal replies as issue r... Closed

Associated revisions

Revision 22158 - 2023-03-26 07:11 - Go MAEDA

Add MissingContainer exception to MailHandler (#38273).

Patch by Felix Schäfer.

Revision 22159 - 2023-03-26 07:20 - Go MAEDA

Add LockedTopic exception to MailHandler (#38273).

Patch by Felix Schäfer.

History

#1 - 2023-02-13 15:42 - Felix Schäfer

- File 1-missing_container_error.patch added

- File 2-locked_topic_error.patch added

The attached patch adds a custom generic Error for cases when the replied to object/the container object cannot be found, either because it was

deleted or because the e-mail comes from another Redmine installation with different IDs. The second patch adds a custom Error for cases where the

topic the e-mail answers to is locked.

#2 - 2023-02-13 17:07 - Holger Just

- Blocks Feature #38274: Receive e-mail replies to news and news comments added

#3 - 2023-02-14 10:33 - Go MAEDA

- Target version set to 5.1.0

Setting the target version to 5.1.0.

#4 - 2023-02-15 12:07 - Go MAEDA

- File 1-missing_container_error-v2.patch added

Updated the first patch to apply cleanly to the current trunk.

#5 - 2023-02-15 12:14 - Go MAEDA

Go MAEDA wrote:

Updated the first patch to apply cleanly to the current trunk.
 I am withdrawing this patch. 1-missing_container_error.patch can be applied without problems if #38263 is applied.

#6 - 2023-02-15 12:14 - Go MAEDA

- File deleted (1-missing_container_error-v2.patch)

#7 - 2023-02-15 12:14 - Go MAEDA

- Blocked by Feature #38263: Try importing journal replies as issue reply where applicable added

#8 - 2023-03-26 07:21 - Go MAEDA

- Subject changed from Improve errors in MailHandler to Improve errors in MailHandler: add MissingContainer and LockedTopic exception

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patches. Thank you.

Files

1-missing_container_error.patch 1.92 KB 2023-02-13 Felix Schäfer

2-locked_topic_error.patch 859 Bytes 2023-02-13 Felix Schäfer

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

https://www.redmine.org/attachments/30181
https://www.redmine.org/issues/38263
http://www.tcpdf.org

